InputRequest (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.input, class: InputRequest

Package org.apache.tools.ant.input

# Class InputRequest

java.lang.Object
org.apache.tools.ant.input.InputRequest

Direct Known Subclasses:
  `MultipleChoiceInputRequest`

public class InputRequest extends Object
Encapsulates an input request.

Since:
  Ant 1.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputRequest​(String prompt)`
  Construct an InputRequest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultValue()`
  Gets a configured default value.
  `String`
  `getInput()`
  Retrieves the user input.
  `String`
  `getPrompt()`
  Retrieves the prompt text.
  `boolean`
  `isInputValid()`
  Is the user input valid?
  `void`
  `setDefaultValue​(String d)`
  Configures a default value.
  `void`
  `setInput​(String input)`
  Sets the user provided input.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InputRequest

    public InputRequest​(String prompt)
    Construct an InputRequest.
    Parameters:
      `prompt` - The prompt to show to the user. Must not be null.

- ## Method Details

  - ### getPrompt

    public String getPrompt()
    Retrieves the prompt text.
    Returns:
      the prompt.

  - ### setInput

    public void setInput​(String input)
    Sets the user provided input.
    Parameters:
      `input` - the string to be used for input.

  - ### isInputValid

    public boolean isInputValid()
    Is the user input valid?
    Returns:
      true if it is.

  - ### getInput

    public String getInput()
    Retrieves the user input.
    Returns:
      the user input.

  - ### getDefaultValue

    public String getDefaultValue()
    Gets a configured default value.
    Returns:
      the default value.
    Since:
      Ant 1.7.0

  - ### setDefaultValue

    public void setDefaultValue​(String d)
    Configures a default value.
    Parameters:
      `d` - the value to set.
    Since:
      Ant 1.7.0